.search-page {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    min-height: 40vh;
}

.search-inp-wrapper {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-bottom: 20px;
}

.search-bar {
    flex: 1;
    padding: 12px;
    outline: none;
    border-radius: 15px;
    border: 0.25px solid rgba(128, 128, 128, 0.43);
}

.search-bar::placeholder {
    color: var(--secondary);
}

.search-btn {
    padding: 12px;
    width: 140px;
    border-radius: 100px;
    background-color: var(--yellow);
    color: white;
    font-size: 15px;
    font-weight: 500;
    border: 0.5px solid var(--yellow);
    transition: 0.4s;
}

.search-btn:hover {
    cursor: pointer;
    background-color: transparent;
    color: black;
}

.search-btn svg {
    display: none;
}

@media (max-width: 480px) {
    .search-inp-wrapper {
        flex-direction: column;
        gap: 10px;
        position: relative;
    }

    .search-bar {
        width: 100%;
        border-radius: 23px;
        padding: 15px;
    }

    .search-btn span {
        display: none;
    }



    .search-btn {
        position: absolute;
        inset-inline-end: 4px;
        top: 50%;
        transform: translateY(-50%);
        width: 38px;
        height: 38px;
        border-radius: 19px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .search-btn svg {
        display: inline-block;
        width: 50px;
        height: 50px;
    }
}

.search-result {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.search-result a {
    display: flex;
    flex-direction: column;
    color: black;
    background-color: transparent;
    width: 100%;
    height: 100%;
    padding: 10px;
}

.search-result a:hover {
    color: black;
    background-color: #fcb14007;
}

.search-result a:focus {
    outline: none;
}

.search-result h2 {
    font-weight: 700;
    font-size: 18px;
    line-height: 100%;
    margin-bottom: 13px;
}

.search-result p {
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: var(--secondary);
    position: relative;
}

.search-result a:not(:last-child) p::after {
    content: "";
    position: absolute;
    right: 0;
    left: 0;
    bottom: -10px;
    height: 1px;
    background-color: rgb(240, 240, 240);
}


.pagination-section {
    margin-top: 40px;
    width: 100%;
}

.pagination-section .pagination {
    display: flex;
    width: 100%;
    justify-content: center;
    gap: 10px;
}

.pagination-section .pagination .page-item {
    width: 30px;
    height: 30px;
    border-radius: 10px;
    box-shadow: 1px 1px 2px 2px #00000010;
}

.pagination-section .pagination .page-item a {
    color: #FFC02B;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pagination-section .pagination .page-item a::focus {
    outline: none;
    color: #FFC02B;
}

.pagination-section .pagination .page-item.active {
    border: 1px solid #FFC02B;
    box-shadow: none;
}
